Bug 840150

Summary: modules/core/domain/src/main/resources/META-INF/persistence.xml missing version attribute
Product: [Other] RHQ Project Reporter: Stefan Negrea <snegrea>
Component: Core ServerAssignee: Jay Shaughnessy <jshaughn>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: high    
Version: 4.3CC: ahovsepy, hrupp, jlivings, jshaughn, loleary
Target Milestone: ---   
Target Release: JON 3.1.1   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 831237 Environment:
Last Closed: 2013-09-03 11:08:25 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 831237    

Description Stefan Negrea 2012-07-13 17:48:48 EDT
+++ This bug was initially created as a clone of Bug #797012 +++

The persistence file modules/core/domain/src/main/resources/META-INF/persistence.xml does not have a version attribute, which causes an error if parsed by a XML parser in strict mode.

--- Additional comment from jlivings@redhat.com on 2012-02-23 22:07:52 EST ---

Created attachment 565467 [details]
patch

--- Additional comment from mfoley@redhat.com on 2012-02-27 12:12:54 EST ---

triage 2/27/2012 mfoley, asantos, crouch, loleary

--- Additional comment from loleary@redhat.com on 2012-05-11 18:19:45 EDT ---

Setting the severity and increasing priority as this is a must fix and easy one at that.

--- Additional comment from jshaughn@redhat.com on 2012-06-12 10:36:36 EDT ---


Fixed upstream. Waiting for release branch to open.
Comment 1 Jay Shaughnessy 2012-07-17 14:19:53 EDT
release/jon3.1.x commit: e05b51258d7b9c840ef255ac4f6c4b18c7370315

    added version attribute
    
    cherry-pick of master 0377efde9ee8886a1fbb03d4de74958841946ac1
Comment 2 John Sanda 2012-08-02 14:52:07 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 3 Armine Hovsepyan 2012-08-09 08:58:52 EDT
verified.

The xml in 3.1.x branch contins: 
<persistence xmlns="http://java.sun.com/xml/ns/persistence" version="1.0">
Comment 4 Heiko W. Rupp 2013-09-03 11:08:25 EDT
Bulk closing of old issues in VERIFIED state.